Subject: RE: [Icar] Progress?

From: "Robert Snively" <[email-masked]>
Date: Wed, 21 Apr 2004 11:21:55 -0700

As an example of a case where early dedicated formal reviews
with formal responses accelerated the progress of a document,
look at the IPv6 over Fibre Channel document.  It's author,
Claudio DeSanti can tell you the detailed timeline, but it
has been roughly half the time of other documents that I know
of that were progressing at the same time.  It was also without
major errors when it came to last calls.

By the way, the review also exploited a strong liaison with the
knowledgeable non-IETF organization that does Fibre Channel,
INCITS TC T11.  Without such liaison, the document would have
been much less likely to be useful.

We have made it an explicit goal in the Fibre Channel Interfaces
committee
to assist and accelerate the development of IETF-related activities
in our committees through such liaison and formal review.

Robert Snively,  Chair INCITS TC T11

Brocade Communications Systems, Inc.
1745 Technology Drive
San Jose, CA 95110

+1 408 333 8135
[email-masked] 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of Mark
> Allman
> Sent: Monday, April 19, 2004 10:26 AM
> To: [email-masked]
> Cc: Brian E Carpenter; [email-masked]
> Subject: Re: [Icar] Progress?
> 
> 
> 
> > We already have some working groups doing it. How do we get more? I
> > think that this is a matter of culture and educating folks about
> > benefits and, to some extent, expectations.
> 
> I'll buy this.  But, there is a fine line between developing 
> culture and
> developing rules, I think.  I.e., if we're relying on folk (especially
> ADs) to cajole WGs into invoking the review function then we may be
> basically creating de-facto rules.
> 
> > If reviewing proposals were an odd or new idea then we might have to
> > worry about selling the basic concept.  But this is all pretty
> > standard stuff in the academic and engineering community.  Getting
> > fresh sets of expert eyes to look things over is not a controversial
> > concept and the benefits are well-established.
> 
> I agree.
> 
> The downside is time.  People already think the IETF process is too
> slow.  Adding another step may simply look like lengthening the
> process.  Of course, the hope is that we're also lopping off a
> significant chunk at the end.  But, that is the part that we 
> do not yet
> have concrete examples of.  If you could show data that said "early
> reviewed docs took X months from -00 to RFC and non-early review docs
> took Y months from -00 to RFC, where X << Y" then the case would be
> clear and compelling.
> 
> > MA> SIRS didn't get much activity in the grand scheme of things.
> > 
> > I've commented on the tendency to dismiss the SIRS 
> experience before.
> 
> I was not insinuating that it was a failure.  We'd do things 
> differently
> if we had it to do over.  My point was that its existence did not
> immediately yield people clamoring for reviews.  If getting a 
> breadth of
> early reviews was self-evidently good then I'd have expected more.
> 
> I do think I understand your answer to my original question, 
> though.  I
> think it boils down to having a big organizational push to try some
> things (one thing, two things, whatever).
> 
> allman
> 
> 
> --
> Mark Allman -- ICIR -- http://www.icir.org/mallman/
> 
> 
> 
> 

_______________________________________________
Icar mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/icar